Viewing currently selected errands

Viewing currently selected errands
Viewing currently selected errands

Errands allowed to run as post_deploy or pre_delete are determined by the product template.

The presence of the 'post_deploy' or 'pre_delete' key in the response indicates the product author's intent.

The boolean value indicates whether the errand is enabled for that lifecycle event by the operator.

Request
URI
GET
https://{opsmanager-installation}/api/v0/staged/products/{product_guid}/errands
COPY
Path Parameters
string
product_guid
Required

The guid of the product


Responses
200

OK

Returns Errands of type(s) application/json
{
    "errands": [
        {
            "name": "string",
            "label": "string",
            "impact_warning": "string"
        }
    ]
}
array of errands
errands
Optional

errands


400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


404

Product not found

Returns RequiresProduct of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/staged/products/{product_guid}/errands